# PredicateAllowTrue

рус.: Фильтр true

Компонент PredicateAllowTrue является фильтром, подсоедененный между двумя компонентами (Напр.: Между двумя кнопками), он пропускает только значения true.

## Пример использования

Предыдущий компонент PredicateAllowFalse

Откроем проект "lessons". Мы уже создали конфигурацию, в которой выполняются логические операции "и", "не и" "или" и "не или". Добавим в нее возможность устанавливать значения операндов А и В в 1.

У нас уже есть обработчик значений 0 (false) от операндов, в качестве которых выступают кнопки. Добавим обработчик значений "1" (true).

Нам понадобится два компонента класса PredicateAllowTrue.

На вкладку "Main" добавим компонент PredicateAllowTrue.

Создадим связи от компонента TextButton_8 к компоненту PredicateAllowTrue (Тип связи "Связь для управления эффектором"), а от компонента PredicateAllowTrue к TextButton и TextButton_1 (Тип связи "Связь для управления эффектором"). Компонент PredicateAllowTrue будет фультром, пропускающим только значения true.

Отредактируем свойства компонента TextButton_8: TextOff - "Установить 1 для операндов логической операции "и"".

На вкладку "or" добавим компонент PredicateAllowTrue_1.

Создадим связи от компонента TextButton_9 к компоненту PredicateAllowTrue_1 (Тип связи "Связь для управления эффектором"), а от компонента PredicateAllowTrue_1 к компонентам TextButton_3 и TextButton_4 (Тип связи "Связь для управления эффектором").

Отредактируем свойства компонента TextButton_9: TextOff - "Установить 1 для операндов логической операции "или"".

Сохраним проект.

Запустим конфигурацию нажиматием кнопки F9.

Следующий компонент Timer

Подробнее о компоненте PredicateAllowTrue ▼ | Распечатать

## Связи

### Входящие связи

ExecuteB
  Связь изменяет операнд B, выполняет предикат и результат передается по всем исходящим связям
ExecuteBbyEffector
  Связь изменяет операнд B, выполняет предикат и результат передается по всем исходящим связям
ExecuteBbySensor
  Возвращает последнее выполненное значение предиката

### Исходящие связи

OutS
  Исходящай связь для эмуляции сенсора
OutE
  Исходящай связь для управления эффекторами

## Свойства

AllowFalse
  Пропуск значения false. Значение: логическое (true/false)
AllowTrue
  Пропуск значения true. Значение: логическое (true/false)
AntiCircle
  Предотвращение бесконечных циклов. Если результат воздействия равен текущему состоянию, при состоянии AntiCircle=true - не отрабатывать воздействие. Значение: логическое (true/false).
Operation
  Выполняемая компонентом операция. Значение: строка (Напр.: A_and_B, A_or_B, A_eq_B, A_xor_b, not_A_and_B, A_and_not_B, not_A_and_not_B), по-умолчанию A_AND_B
StatusA
  Значение от операнда А по-умолчанию
StatusB
  Значение от операнда B по-умолчанию

Последнее изменение: 09.02.2009